## ros-noetic-jderobot-drones 1.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jderobot_drones)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-jderobot-drones (1.4.2-1buster) buster; urgency=high

  * Fixing Jenkins Build errors
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 03 Oct 2021 22:00:00 -0000

ros-noetic-jderobot-drones (1.4.1-1buster) buster; urgency=high

  * Added drone circuit assets for Behavior Metrics
  * Added tello_driver v1
  * Contributors: Utkarsh Mishra, pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Thu, 16 Sep 2021 22:00:00 -0000

ros-noetic-jderobot-drones (1.4.0-1buster) buster; urgency=high

  * Noetic release
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Thu, 22 Apr 2021 22:00:00 -0000

ros-noetic-jderobot-drones (1.3.8-1buster) buster; urgency=high

  * Added urdf dir to drone_assets
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 13 Apr 2021 22:00:00 -0000

ros-noetic-jderobot-drones (1.3.7-1buster) buster; urgency=high

  * New version of drone_wrapper compatible with web templates.
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 28 Feb 2021 23:00:00 -0000

ros-noetic-jderobot-drones (1.3.6-1buster) buster; urgency=high

  * Fixing iris models.
  * Fixing jenkins build.
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-noetic-jderobot-drones (1.3.5-1buster) buster; urgency=high

  * Added drone_assets dependency
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-noetic-jderobot-drones (1.3.4-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 27 Jun 2020 22:00:00 -0000

ros-noetic-jderobot-drones (1.3.3-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 09 Jun 2020 22:00:00 -0000

ros-noetic-jderobot-drones (1.3.2-1buster) buster; urgency=high

  * New version of drone_wrapper with controls improved.
  * New version of rqt_drone_teleop with a new GUI.
  * Contributors: diegomrt, Pedro Arias

 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 05 May 2020 22:00:00 -0000

ros-noetic-jderobot-drones (1.3.1-1buster) buster; urgency=high

  * Fixing dependency on metapackage
  * Contributors: Pedro Arias

 -- Pedro Arias <pedroariasperez96@gmail.com>  Thu, 13 Feb 2020 23:00:00 -0000

ros-noetic-jderobot-drones (1.3.0-1buster) buster; urgency=high

  * Creating metapackage to group up all packages in jderobot-drones stack
  * Contributors: Pedro Arias

 -- Pedro Arias <pedroariasperez96@gmail.com>  Thu, 13 Feb 2020 23:00:00 -0000

ros-noetic-jderobot-drones (1.2.0-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 10 Feb 2020 23:00:00 -0000

ros-noetic-jderobot-drones (1.1.0-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 19 Jan 2020 23:00:00 -0000

ros-noetic-jderobot-drones (1.0.2-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 18 Jan 2020 23:00:00 -0000

ros-noetic-jderobot-drones (1.0.1-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 17 Aug 2019 22:00:00 -0000

ros-noetic-jderobot-drones (1.0.0-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Wed, 31 Jul 2019 22:00:00 -0000

ros-noetic-jderobot-drones (0.0.1-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Fri, 19 Jul 2019 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-jderobot-drones
Section: misc
Priority: optional
Maintainer: Pedro Arias <pedroariasperez96@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: https://github.com/JdeRobot/drones
Standards-Version: 3.9.2

Package: ros-noetic-jderobot-drones
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-drone-assets, ros-noetic-drone-circuit-assets, ros-noetic-drone-wrapper, ros-noetic-rqt-drone-teleop, ros-noetic-rqt-ground-robot-teleop, ros-noetic-tello-driver
Description: The jderobot_drones stack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-jderobot-drones//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
